POST V1/Lite/CallsToAction.{ext}/CallsToActions?action={action}&pageIndex={pageIndex}&pageSize={pageSize}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
action

No description available

string

Default value is

pageIndex

No description available

integer

Default value is 0

pageSize

No description available

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Mobile.Entities.CallsToAction.CallsToActionSearch
NameDescriptionTypeAdditional information
Keyword

No description available

string

None.

Subject

No description available

string

None.

FromDate

No description available

string

None.

ToDate

No description available

string

None.

FilterAction

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "keyword": "sample string 1",
  "subject": "sample string 2",
  "fromDate": "sample string 3",
  "toDate": "sample string 4",
  "filterAction": "sample string 5"
}

application/xml, text/xml

Sample:
<CallsToActionSearch xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Mobile.Entities.CallsToAction">
  <FilterAction>sample string 5</FilterAction>
  <FromDate>sample string 3</FromDate>
  <Keyword>sample string 1</Keyword>
  <Subject>sample string 2</Subject>
  <ToDate>sample string 4</ToDate>
</CallsToActionSearch>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Mobile.Entities.CallsToAction.CTAExecuteAndHistoryDetails
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Mobile.Entities.CallsToAction.CTAExecuteAndHistoryDetails

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "CTAExecuteAndHistoryDetails",
  "response": {
    "ctaExecuteAndHistoryList": [
      {
        "callsToActionId": "sample string 1",
        "subject": "sample string 2",
        "entityId": "sample string 3",
        "entityValue": "sample string 4",
        "description": "sample string 5",
        "dueBy": "sample string 6",
        "userImage": "sample string 7",
        "createdDate": "sample string 8",
        "createdUserFullName": "sample string 9",
        "assignedToUserFullName": "sample string 10",
        "modifiedDate": "sample string 11",
        "assignedTo": "sample string 12",
        "status": "sample string 13"
      },
      {
        "callsToActionId": "sample string 1",
        "subject": "sample string 2",
        "entityId": "sample string 3",
        "entityValue": "sample string 4",
        "description": "sample string 5",
        "dueBy": "sample string 6",
        "userImage": "sample string 7",
        "createdDate": "sample string 8",
        "createdUserFullName": "sample string 9",
        "assignedToUserFullName": "sample string 10",
        "modifiedDate": "sample string 11",
        "assignedTo": "sample string 12",
        "status": "sample string 13"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.